Uploaded image for project: 'VCL'
  1. VCL
  2. VCL-1092

Change installation script to install these RPM Perl Modules

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Minor
    • Resolution: Implemented
    • Affects Version/s: 2.5
    • Fix Version/s: 2.5.1
    • Component/s: vcld (backend)
    • Labels:
      None

      Description

      The current vcl installation script installs a combination of perl modules via the rpm package manager and others from cpan.

      I have identified all of the rpm packages that can be install and are listed below.  The only module that cannot be installed via the rpm repo is Net-SSH-Expect-1.09.  I have created a rpm file from the cpan module for this and is attached to the ticket.

      'perl-Archive-Tar'
      'perl-CPAN'
      'perl-Crypt-CBC'
      'perl-Crypt-OpenSSL-RSA'
      'perl-Crypt-Rijndael'
      'perl-DBD-MySQL'
      'perl-DBI'
      'perl-Digest-SHA1'
      'perl-IO-String'
      'perl-JSON'
      'perl-MailTools'
      'perl-Net-Jabber'
      'perl-Net-Netmask'
      'perl-RPC-XML'
      'perl-Text-CSV_XS'
      'perl-Time-HiRes'
      'perl-XML-Simple'
      'perl-YAML'
      'perl-Frontier-RPC'
      'perl-Frontier-RPC-Client'
      'perl-LWP-Protocol-https'
      'perl-Mo'
      'perl-Object-InsideOut'
      'perl-Scalar-List-Utils'
      'perl-Expect'

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              gmjennin Mike Jennings
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: